package com.example.kafkaproducerconsume.controller;

import com.albertsons.ecommerce.oms.model.core.Order;
import com.example.kafkaproducerconsume.entity.KafkaEntity;
import com.example.kafkaproducerconsume.service.KafkaService;
import com.example.kafkaproducerconsume.service.Producer;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.mongodb.client.FindIterable;
import org.bson.BsonDocument;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.bson.Document;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
public class KafkaController {

    @Autowired
    private KafkaService kafkaService;
    @Autowired
    Producer producer;

    Logger logger = LoggerFactory.getLogger(KafkaController.class);

//    @PostMapping(value="/post")
//    public void sendMessage(@RequestBody KafkaEntity msg) throws JsonProcessingException {
//
//        producer.publishToTopic(msg);
//    }
//    @GetMapping(value="/Id")
//    public void getmessage(@RequestParam("id") int id) throws JsonProcessingException {
//        producer.publish2(id);
//    }
//
//    @PostMapping(value="/postt")
//    public void savemessage(@RequestBody KafkaEntity msg) throws JsonProcessingException {
//        producer.publish1(msg);
//    }

    @GetMapping("/PublishDeliveryOrders")
    public ResponseEntity<List<String>> filterData() {
        List<String> ordersWithAdditionalFields = kafkaService.getFilteredOrders();
        return new ResponseEntity<>(ordersWithAdditionalFields, HttpStatus.OK);
    }




}

//http://localhost:8888/post?msg=Happy <=give this message format to URL in the postman
